Bug Hunting Session
Bug 107687 - UX: Text within a shape is deleted after adding a textbox
Summary: UX: Text within a shape is deleted after adding a textbox
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Textbox Writer-UX
  Show dependency treegraph
 
Reported: 2017-05-07 16:08 UTC by Telesto
Modified: 2018-10-20 02:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (10.48 KB, application/3dr)
2017-05-07 16:09 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-05-07 16:08:47 UTC
Description:
There are two ways of adding text to a shape. Type into the shape or add a textbox to the shape. It's not only a bit confusing: two way's to add text, but it also some disadvantages for the WYSING editing.

Steps to Reproduce:
1. Open the attached file
2. Remove the text "Delete Me"

Actual Results:  
Textbox is on top of the text 'Delete Me'. The text can't be deleted without removing the textbox

Expected Results:
Most ideally one way to add text into a shape


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.4.0.0.alpha1+
Build ID: 274ecb49b70b3f01d47546e3b44317946c106042
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-05_22:45:07
Locale: nl-BE (nl_NL); Calc: single

and in
Versie: 5.3.3.1 
Build ID: 46360c72c4823cefeaa85af537fba22bd568da7e
CPU Threads: 4; Versie besturingssysteem:Windows 6.2; UI Render: standaard; Layout-Engine: nieuw; 
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-05-07 16:09:02 UTC
Created attachment 133135 [details]
Example file
Comment 2 Buovjaga 2017-05-13 11:40:52 UTC
There is a text Hello world, but not Delete Me.
Comment 3 Telesto 2017-05-13 12:36:58 UTC
(In reply to Buovjaga from comment #2)
> There is a text Hello world, but not Delete Me.

You're right. "Delete Me" isn't saved (seems the fix the issue ;-). Anyhow steps to reproduce:
1. Open Writer
2. Insert a 6 point star (Insert -> Shape -> Star)
3. Double click into the start until so the text cursor appears
4. Type "Delete Me"
5. Right click the shape
6. Select "Add Text Box"
7. Type something like "Hello World"
8. Now try to remove 'Delete Me"

Second bug
9. Save the file created: "Delete me" is gone.
Comment 4 V Stuart Foote 2017-05-13 15:07:47 UTC
Confirmed Windows 10 Pro 64-bit en-US with
Version: 5.3.3.2 (x64)
Build ID: 3d9a8b4b4e538a85e0782bd6c2d430bafe583448
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; Layout Engine: new; 
Locale: en-US (en_US); Calc: group

Confirmed--there are two entry methods, and the context menu UNO commands do not correctly handle the Draw Shape's own text box so maybe a bit of an implementation issue.

Using the the context menu entry "Add Text Box" the text already entered into the Draw Shape is actually replaced with a new Paragraph.

Conversely the "Remove Text Box" does not target the text added to a Draw Shape when clicking into the shape, and only works against an "Add Text Box" entry.


=ref-=
Context menu
http://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/WriterCommands.xcu

adding -- uno:AddTextBox
https://cgit.freedesktop.org/libreoffice/core/commit/?id=7f77b8a689f84a03495ac5911236b68f01ee7b24

removing -- uno:RemoveTextBox
https://cgit.freedesktop.org/libreoffice/core/commit/?id=692ea03e1d9974d036e1b9109c3fe32e1c0e51cd
Comment 5 QA Administrators 2018-10-20 02:53:08 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug